import com.apple.yellow.foundation.*;
import com.apple.yellow.webobjects.*;

/*
        Copyright (c) 1999, Apple Computer, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        Apple disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/

public class Main extends WOComponent {

    int stop;
    int start;

    public Main() {
        super();
        start = 0; // defaults for display
        stop = 1000000;
    }

    public WOComponent toExampleLRP0() {
        ExampleLRP0 nextPage = (ExampleLRP0)this.pageWithName("ExampleLRP0");
        nextPage.setStart(start);
        nextPage.setStop(stop);
        return nextPage;
    }

    public WOComponent toExampleLRP1() {
        ExampleLRP1 nextPage = (ExampleLRP1)this.pageWithName("ExampleLRP1");
        nextPage.setStart(start);
        nextPage.setStop(stop);
        return nextPage;
    }

    public void setStart(int start) {
        this.start = start;
    }

    public void setStop(int stop) {
        this.stop = stop;
    }

}
