import com.apple.yellow.foundation.*;
import com.apple.yellow.eocontrol.*;
import com.apple.yellow.eoaccess.*;
import com.apple.yellow.webobjects.*;
import java.util.Vector;

/*
        Copyright (c) 1999, Apple Computer, Inc.
        All rights reserved.

        You may freely copy, distribute and reuse the code in this example.
        Apple disclaims any warranty of any kind, expressed or implied,
        as to its fitness for any particular use.
*/

// this creates an array of prime numbers

public class PrimeNumberComputer extends java.lang.Object {
    private boolean _debug = false;
    private boolean _cancelled = false;
    private Vector statusVector = new Vector();

    public void calculatePrimes(int start,int stop) {

        int i, j;
        int count = 0;
        Vector primeVector = new Vector();

        if (start <= 3) {
            count++; // 2 is defined prime
            statusVector.addElement(new Integer(1));
            primeVector.addElement(new Integer(2));
            statusVector.addElement(primeVector);
            start = 3;
        } else {
            statusVector.addElement(new Integer(0));
            primeVector.addElement(new Integer(0));
            statusVector.addElement(primeVector);
        }
        if ((start % 2 == 0) && (start > 3)) start++; // That's to make sure we are odd from now on.

        if (_debug) System.out.println("\nstatusVector: "+statusVector);
        for (i=start; i<stop; i+=2) {
            if (_cancelled) {
                if (_debug) System.out.println("\nIn PrimeNumberComputer _cancelled is TRUE");
                break;
            }
            boolean prime = true;
            for (j=3; j*j<=i; j+=2) {
                if (i%j == 0) {
                    prime = false;
                    break;
                }
            }
            if (prime) primeVector.addElement(new Integer(i));
            statusVector.setElementAt(new Integer(i),0); // how many values tested
            statusVector.setElementAt(primeVector,1); // vector of results
        }
    }

    public Vector statusVector() {
        return statusVector;
    }

    public void cancel() {
       _cancelled = true;
    }
}
